Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Update tags

Bulk-patches tags by id. Successful entities are returned in data; per-item failures in errors.

PATCH/api/v2/{team_slug}/{app_slug}/tags
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
team_slugstringrequired
app_slugstringrequired
Request body
requiredapplication/json
tagsPatchTagItem[]required
min items 1 · max items 20
Show properties
Array of PatchTagItem
idUUIDrequired
keystring
namestring
statusstring
Allowed:activeinactivearchiveddraft
filterableboolean
market_idsUUID[] | null
Responses
200

Patched (partial success possible)

dataTag[]required
Show properties
Array of Tag
idUUIDrequired
keystringrequired
namestringrequired
statusstringrequired
filterableboolean
translationsTagTranslation | null
Show properties
Any of:
TagTranslation
nameTranslation[]
Show properties
Array of Translation
idUUID
localestring
valuestring
null
null
attributesTagAttribute[] | null
Show properties
Array of TagAttribute
idUUIDrequired
keystring
template_keystring
template_namestring
namestring
descriptionstring
filterableboolean
translatableboolean
valuesobject
marketsTagMarket[] | null
Show properties
Array of TagMarket
idUUIDrequired
slugstring
namestring
created_atstring<date-time>required
updated_atstring<date-time> | null
errorsTagError[]required
Show properties
Array of TagError
keystring
idUUID | null
Show properties
Any of:
UUID
string<uuid>
null
null
messagestringrequired
400

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
401

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
403

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
500

Request-level failure

errorErrorBodyrequired
Show properties
messagestringrequired
detailsstring[]required
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://api.enad.io/api/v2/string/string/tags' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "tags": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "name": "string",
      "status": "active",
      "filterable": true,
      "market_ids": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ]
    }
  ]
}'
Response
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "key": "string",
      "name": "string",
      "status": "string",
      "filterable": true,
      "translations": {
        "name": [
          {
            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "attributes": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "key": "string",
          "template_key": "string",
          "template_name": "string",
          "name": "string",
          "description": "string",
          "filterable": true,
          "translatable": true,
          "values": {
            "property1": "string",
            "property2": "string"
          }
        }
      ],
      "markets": [
        {
          "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
          "slug": "string",
          "name": "string"
        }
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "errors": [
    {
      "key": "string",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "message": "string"
    }
  ]
}